Package org.apache.commons.jxpath.ri.compiler

# Class VariableReference

java.lang.Object
org.apache.commons.jxpath.ri.compiler.Expression
org.apache.commons.jxpath.ri.compiler.VariableReference

public class VariableReference extends Expression
An element of the compile tree holding a variable reference.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `Expression.PointerIterator, Expression.ValueIterator`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `NOT_A_NUMBER, ONE, ZERO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableReference(QName varName)`
  Constructs a new VariableReference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `compute(EvalContext context)`
  Evaluates the expression.
  `boolean`
  `computeContextDependent()`
  Implemented by subclasses and result is cached by isContextDependent()
  `Object`
  `computeValue(EvalContext context)`
  Returns the value of the variable.
  `QName`
  `getVariableName()`
  Gets the variable name.
  `boolean`
  `isContextDependent()`
  Returns true if this expression should be re-evaluated each time the current position in the context changes.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `iterate, iteratePointers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VariableReference

    public VariableReference(QName varName)
    Constructs a new VariableReference.
    Parameters:
      `varName` - variable name

- ## Method Details

  - ### compute

    public Object compute(EvalContext context)
    Description copied from class: `Expression`
    Evaluates the expression. If the result is a node set, returns the first element of the node set.
    Specified by:
      `compute` in class `Expression`
    Parameters:
      `context` - evaluation context
    Returns:
      Object

  - ### computeContextDependent

    public boolean computeContextDependent()
    Description copied from class: `Expression`
    Implemented by subclasses and result is cached by isContextDependent()
    Specified by:
      `computeContextDependent` in class `Expression`
    Returns:
      calculated context-dependentness as boolean

  - ### computeValue

    public Object computeValue(EvalContext context)
    Returns the value of the variable.
    Specified by:
      `computeValue` in class `Expression`
    Parameters:
      `context` - EvalContext against which to compute the variable's value.
    Returns:
      Object

  - ### getVariableName

    public QName getVariableName()
    Gets the variable name.
    Returns:
      QName

  - ### isContextDependent

    public boolean isContextDependent()
    Description copied from class: `Expression`
    Returns true if this expression should be re-evaluated each time the current position in the context changes.
    Overrides:
      `isContextDependent` in class `Expression`
    Returns:
      boolean

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`